# $Revision: 1.16 $, $Date: 2011/02/19 22:36:34 $
Summary:	Display a message using GTK+2 (like xmessage)
Summary(pl.UTF-8):	Program wyświetlający komunikat używając GTK+2 (podobny do xmessage)
Name:		gxmessage
Version:	2.12.4
Release:	1
License:	GPL
Group:		X11/Applications
Source0:	http://homepages.ihug.co.nz/~trmusson/stuff/%{name}-%{version}.tar.gz
# Source0-md5:	7c94c714ebedbfa2db2d645cc4a4092a
URL:		http://homepages.ihug.co.nz/~trmusson/programs.html#gxmessage
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	gtk+2-devel >= 2:2.6.0
BuildRequires:	intltool
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.601
Requires:	gtk-update-icon-cache
Requires:	hicolor-icon-theme
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
gxmessage is a GTK+2 based clone of xmessage. It is used to display a
message box with a text specified on the command line, a file or via a
pipe.

%description -l pl.UTF-8
gxmessage jest klonem xmessage korzystającym z GTK+2. Można go
wykorzystać do wyświetlania okienek z tekstem podanym z linii poleceń,
pliku lub potoku.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

cp -r examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor

%postun
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc README AUTHORS ChangeLog
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/gxmessage.1*
%{_iconsdir}/hicolor/48x48/apps/%{name}.png
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gxmessage.spec,v $
Revision 1.16  2011/02/19 22:36:34  megabajt
- update icon cache in post/postun

Revision 1.15  2011/02/02 17:41:34  sparky
- BR: intltool

Revision 1.14  2010/12/09 12:41:25  caleb
- Up to 2.12.4

Revision 1.13  2008/09/29 21:17:17  uzsolt
- typo

Revision 1.12  2008/03/09 17:45:48  czarny
- up to 2.6.2

Revision 1.11  2007-02-13 07:47:11  glen
- tabs in preamble

Revision 1.10  2007/02/12 00:48:55  baggins
- converted to UTF-8

Revision 1.9  2006/09/15 19:13:24  glen
- don't assume man compression

Revision 1.8  2006/09/09 13:41:18  megabajt
- up to 2.6.1

Revision 1.7  2005/07/28 15:11:12  saq
- up to 2.4.4

Revision 1.6  2005/02/24 23:27:25  aniolek
- updated to 2.4.1

Revision 1.5  2004/11/30 07:59:39  paladine
- updated to 2.4.0

Revision 1.4  2004/11/27 18:52:07  saq
- massive attack: add missing gtk+2-devel epoch in BR

Revision 1.3  2004/11/27 15:17:06  zbyniu
- BR: pkgconfig

Revision 1.2  2004/06/17 08:59:11  qboosh
- typo, cosmetics

Revision 1.1  2004/06/17 08:49:49  jpc
- new spec
